{
  pkgs,
  config,
  ...
}: {
    programs.neovim = {
        enable = true;
        defaultEditor = true;
        viAlias = true;
        vimAlias = true;
        vimdiffAlias = true;

        plugins = with pkgs.vimPlugins; [
            nvim-tree-lua
            nvim-treesitter
            nvim-treesitter.withAllGrammars
        ];
    };
}
